Bug 506927 - virt-convert don't support qcow, qcow2, 'cow', these three disk formats.
virt-convert don't support qcow, qcow2, 'cow', these three disk formats.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-virtinst (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On:
Blocks: 574304
  Show dependency treegraph
 
Reported: 2009-06-19 06:58 EDT by Osier Yang
Modified: 2014-03-26 21:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 574304 (view as bug list)
Environment:
Last Closed: 2010-03-30 04:51:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virt-convert: Add cow, qcow, and qcow2 to format whitelist (2.55 KB, text/plain)
2009-12-13 14:02 EST, Cole Robinson
no flags Details

  None (edit)
Description Osier Yang 2009-06-19 06:58:50 EDT
Description of problem:
the manual of virt-convert doesn't say which disk formats it support. but say like this:
         -D format   
         Output disk format, or "none" if no conversion should be performed.
         See qemu-img(1).

in manual of qemu-img, there are 6 disk formats, including qcow, qcow, cow.


Version-Release number of selected component (if applicable):python-virtinst-0.400.3-1.el5


How reproducible:


Steps to Reproduce:
1. 
2. 
3.
  
Actual results:
converted normally.

Expected results:
Failed. please refer to the log listed below

Additional info:
the log generated by autotesting script:

http://home.englab.nay.redhat.com/~jyang/virt-convert/logs/python-virtinst-0.400.3-1.el5-Server5.4-xen-20090619.detail.4532.log

If the virt-convert doesn't intent to support the disk formats expect "raw" and "vmdk", please modify the manual to clarify it.
Comment 1 Cole Robinson 2009-12-13 14:02:55 EST
Created attachment 378050 [details]
virt-convert: Add cow, qcow, and qcow2 to format whitelist
Comment 2 Cole Robinson 2009-12-13 14:03:32 EST
Fix built in python-virtinst-0.400.3-6.el5
Comment 6 errata-xmlrpc 2010-03-30 04:51:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0282.html

Note You need to log in before you can comment on or make changes to this bug.